#ifndef __LIBUSB__H
#define __LIBUSB__H

#include <security/pam_appl.h>
#include <security/pam_modules.h>
#include <security/pam_ext.h>
#include <syslog.h>
#include <limits.h>
#include <dirent.h>

#define INSERT_FILE "/etc/pam_pkcs11_ukey/smartcard.info"

typedef struct usblist_struct {
	char dirname[PATH_MAX + 1];
	char filename[PATH_MAX + 1];//device number
	short vid;//vendor id
	short pid;//product id
}usblist;

int getusblist(usblist *list,int *number);
int get_smartcard_number(void);
void insert_smartcard_info(pam_handle_t *pamh,char *name);
int get_user_info(char *name,char *info);

#endif
