/*
*this head file is just for configing  the double auth.
*the company:cs2c.
*url:www.cs2c.com.cn
*editor:Meng Dewei
*email:dewei.meng@cs2c.com.cn
*/
 
#ifndef __LIBAUTH_H
#define __LIBAUTH_H

#define DATA_FILE "/etc/pam_pkcs11_ukey/douauth.conf"

/*the above functions are defined on  douauth_config.c file.
*/
//define the double auth's struct  
typedef struct douauth_struct{
	char user[20];
	char role[22]; 
	int  uid;
	int enforce; 
	int usb_flag;    
	int ukey_flag;
	int other;
} DOUAUTH;

char global[20];
//char sn[20];
//define the linklist's struct 
typedef struct douauth_linklist{
	DOUAUTH *dou_link;
	struct douauth_linklist *next;
} DOU_LINK;

DOU_LINK *Creat_Linklist(void);

int Read_data(DOU_LINK *Header);

int Write_data(DOU_LINK *Header);

DOU_LINK *Find_node_by_name(DOU_LINK *Header,DOUAUTH *DATA);

DOU_LINK *Find_node_by_node(DOU_LINK *Header,DOUAUTH *DATA);

DOU_LINK *Find_node_by_values(DOU_LINK *Header,char *user);

//int cs2c_adm_config_is_exist(DOUAUTH *auth);

//int cs2c_common_config_is_exist(DOUAUTH *auth);

int save_authdata(DOUAUTH *auth,char *filepath);

void Free_all_linklist(DOU_LINK *Header);

DOUAUTH *Init_DOUAUTH(void);

//int Get_role(char *role);

//command menu.
void Menu_0(void);
void Menu_1(void);

void Menu_2(void);

void Menu_3(void);

void Menu_4(void);

void Menu_5(void);

void Menu_6(void);

void Menu_7(void);

void Menu_8(void);

void Menu_9(void);

void Menu_10(void);

void Menu_enforce(void);

//void Menu_error(void);

void Do_configure(DOUAUTH *DATA);

//int Is_secadm(DOUAUTH *DATA);

int Is_root(DOUAUTH *DATA);

int Get_user_information(char *name,DOU_LINK *node);

int Special_oprate(DOU_LINK *Header,DOUAUTH *DATA);

int General_oprate(DOU_LINK *Header,DOUAUTH *DATA);

int Ukey_config(DOUAUTH *DATA);

int douauth_config(void);


#endif
	

